#
# spec file for package qps
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           qps
Version:        1.10.16
Release:        17.4
License:        GPL-2.0
Summary:        Visual Process Manager
Url:            http://qps.kldp.net/
Group:          System/Monitoring
Source0:        http://kldp.net/frs/download.php/5963/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE qps-1.10.12.1-nostrip.patch lazy.kent@opensuse.org -- don't strip binary, OBS does itself
Patch0:         qps-1.10.12.1-nostrip.patch
# PATCH-FIX-UPSTREAM qps-1.10.15-desktop.patch bnc#631745 lazy.kent@opensuse.org -- fix typo and remove file extension in desktop file
Patch1:         qps-1.10.15-desktop.patch
BuildRequires:  libqt4-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qps is a visual process manager, an X11 version of "top" or "ps" that
displays processes in a window and lets you sort and manipulate them. It
displays some general system information, and many details about current
processes.

%prep
%setup -q
%patch0
%patch1

%build
qmake \
    QMAKE_CFLAGS+="%{optflags}" \
    QMAKE_CXXFLAGS+="%{optflags}"
make %{?_smp_mflags}

%install
install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dm 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -Dm 0644 %{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dm 0644 icon/icon.xpm \
    %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
%suse_update_desktop_file -r %{name} System Monitor

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README_INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%doc %{_mandir}/man?/*

%changelog
* Thu Nov 24 2011 lazy.kent@opensuse.org
- Spec clean up.
* Sun Aug 28 2011 lazy.kent@opensuse.org
- Update to 1.10.16
  + 3.0-ARCH problem fixed
* Mon Aug 22 2011 lazy.kent@opensuse.org
- Patch to fix typo in desktop file (bnc#631745)
* Sun Jul 17 2011 lazy.kent@opensuse.org
- Update to 1.10.15
  + Added IO monitoring
* Wed Jul  6 2011 lazy.kent@opensuse.org
- Update to 1.10.14
  + Fixed wrong process names
* Sat Jun 18 2011 lazy.kent@opensuse.org
- Update to 1.10.13
  + GNOME3 and Avant Window Navigator support
- Correct License tag according to SPDX Standard
* Fri Jun  3 2011 lazy.kent@opensuse.org
- Update to 1.10.12.3
  + Zero CPU bug fixed (thanks to "David Rosenstrauch")
  + SEGFAULT fixed (Google Chrome's very long cmdline bug fix)
- Dropped obsolete buffer_overflow patch
- Use full URL as a source
* Mon Apr 11 2011 lazy.kent@opensuse.org
- Added rpm optflags
- Added COPYING
- Marked man as doc
* Tue Jul  6 2010 lazy.kent.suse@gmail.com
- Fixed buffer overflow (bnc#613864). Patch from Bernhard Rotter
- Build debug packages
* Tue Oct 20 2009 lazy.kent.suse@gmail.com
- Update to 1.10.12.1
  + 0 (zero) Process bug fixed (David_Rosenstrauch@archlinux)
* Thu Sep 17 2009 lazy.kent.suse@gmail.com
- Update to 1.10.12
  + Not working problem on kernel-2.6.xx was fixed
  + MEM field added
  + Tab on-off switch added
* Fri Aug  7 2009 lazy.kent.suse@gmail.com
- Update to 1.10.11
  + Window raise problem was fixed
  + IO_RW was added
  + Bugs was fixed (WCHAN, kernel warning.... etc)
* Sat Aug  1 2009 lazy.kent.suse@gmail.com
- Initial package created - 1.10.10
